/*
 *指向 products 和newproducts  菜单的JS
 */
main_item='Products';
main_item2='NewProducts';
$(function(){
	//给每一行绑定鼠标经过事件
	$table = $('table[bgcolor="#ffffff"][cellspacing="1"][cellpadding="3"]');
	//添加按钮函数、绑定鼠标移动、单击事件。
	function add_prohook(){
		$table.find('tr:gt(0)')
		.find('td:eq(1)')
		.css({position:'relative'})
		.append('<div class="add_prolink" rel="add_prolink" style="position:absolute;top:2px;right:20px;font-weight:700;width:20px;height:20px;text-align:center;display:none;background:url(../../../../../ru/update/2.55/ls_admin/js/images/add_prolink.png) no-repeat;cursor:default;" title="绑定该类到主菜单('+main_item+')项"></div><div class="add_newprolink" rel="add_newprolink" style="position:absolute;top:2px;right:50px;font-weight:700;width:20px;height:20px;text-align:center;display:none;background:url(../../../../../ru/update/2.55/ls_admin/js/images/add_newprolink.png) no-repeat;cursor:default;" title="绑定该类到主菜单('+main_item2+')项"></div>')
		.find(".add_prolink,.add_newprolink")
		.hover(function(){
			$(this).css({backgroundPosition:'0 -20px'})
		},function(){
			$(this).css({backgroundPosition:'0 0'})
		})
		.click(function(){
			if($(this).attr('rel')=='add_prolink'){
				if(this.className=='add_prolink'){
					if(confirm('确定要将该类指向主菜单('+main_item+')吗？')){
						var obj = this;
						$.ajax({
							type:'POST',
							url:'cate.php',					
							data:'add_prolinkid='+$(this).parent().attr('rel')+'&ls=upadd',
							success:function(data){
								if(data!=''){
									$(".fiex_prolink").attr({className:'add_prolink',title:'绑定该类到主菜单('+main_item+')项'}).hide();
									$(obj).attr({className:'fiex_prolink',title:'绑定该类到主菜单('+main_item+')项'}).show();
								}
							}
						})
					}
				}else{
					if(confirm('确定要取消指向主菜单('+main_item+')吗？')){
						var obj = this;
						$.ajax({
							type:'POST',
							url:'cate.php',					
							data:'add_prolinkid='+$(this).parent().attr('rel')+'&ls=deladd',
							success:function(data){
								if(data!=''){
									$(obj).attr({className:'add_prolink',title:'主菜单('+main_item+')将链接到该类'}).hide();
								}
							}
						})
					}
				}
			}
			if($(this).attr('rel')=='add_newprolink'){
				if(this.className=='add_newprolink'){
					if(confirm('确定要将该类指向主菜单('+main_item2+')吗？')){
						var obj = this;
						$.ajax({
							type:'POST',
							url:'cate.php',					
							data:'add_newprolinkid='+$(this).parent().attr('rel')+'&ls=upaddnew',
							success:function(data){
								if(data!=''){
									$(".fiex_newprolink").attr({className:'add_newprolink',title:'绑定该类到主菜单('+main_item2+')项'}).hide();
									$(obj).attr({className:'fiex_newprolink',title:'主菜单('+main_item2+')将链接到该类'}).show();
								}
							}
						})
					}
				}else{
					if(confirm('确定要取消指向主菜单('+main_item2+')吗？')){
						var obj = this;
						$.ajax({
							type:'POST',
							url:'cate.php',					
							data:'add_newprolinkid='+$(this).parent().attr('rel')+'&ls=deladdnew',
							success:function(data){
								if(data!=''){
									$(obj).attr({className:'add_newprolink',title:'主菜单('+main_item2+')将链接到该类'}).hide();
								}
							}
						})
					}
				}
			}
		})
		//显示Products链接图标
		if(typeof(add_prolink_ID)!='undefined'){
			$('td[rel="'+add_prolink_ID+'"]').find('.add_prolink').attr({className:'fiex_prolink',title:'主菜单('+main_item+')将链接到该类'}).show();
		}
		//显示NewProducts链接图标
		if(typeof(add_newprolink_ID)!='undefined'){
			$('td[rel="'+add_newprolink_ID+'"]').find('.add_newprolink').attr({className:'fiex_newprolink',title:'主菜单('+main_item2+')将链接到该类'}).show();
		}
	}
	//当行数大于1的时候执行添加按钮函数
	if($table.find('tr').length>1){add_prohook()}
	$table.find("tr").hover(function(){
		//鼠标经过显示按钮
		$('.add_prolink,.add_newprolink',this).show();
		//大类
		if($(this).attr('bgcolor')=='#a4b6d7'){
			
		}
		//中类
		if(($(this).attr('bgcolor')=='#f4f4f4')&&$('td:eq(3)',this).contents()==''){
			
		}
		//小
		if($('td:eq(3)',this).contents()==''){
			
		}
	},function(){
		//鼠标经过隐藏按钮
		$('.add_prolink,.add_newprolink',this).hide();
	})
})